Package com.emc.documentum.rest.model

# Class Repository

java.lang.Object
com.emc.documentum.rest.model.AbstractLinkable
com.emc.documentum.rest.model.Repository

All Implemented Interfaces:
  `Linkable`

public final class Repository extends AbstractLinkable
Model for repository resource

- ## Field Summary

  ### Fields inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `links`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Repository()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAuthProtocol()`
  Get repository authentication protocol
  `String`
  `getDescription()`
  Get repository description
  `List<String>`
  `getDomains()`
  Get repository domains
  `int`
  `getId()`
  Get repository id
  `String`
  `getName()`
  Get repository name
  `List<Server>`
  `getServers()`
  Servers of repository
  `Boolean`
  `getSessionLimitEnabled()`
  `void`
  `setAuthProtocol(String authProtocol)`
  Set repository authentication protocol
  `void`
  `setDescription(String description)`
  Set repository description
  `void`
  `setDomains(List<String> domains)`
  Set repository domains
  `void`
  `setId(int id)`
  Set repository id
  `void`
  `setName(String name)`
  Set repository name
  `void`
  `setServers(List<Server> servers)`
  Set servers of repository
  `void`
  `setSessionLimitEnabled(Boolean sessionLimitEnabled)`

  ### Methods inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `getLinks, setLinks`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Repository

    public Repository()

- ## Method Details

  - ### getServers

    public List<Server> getServers()
    Servers of repository
    Returns:
      list of servers

  - ### setServers

    public void setServers(List<Server> servers)
    Set servers of repository
    Parameters:
      `servers` - servers to set

  - ### getId

    public int getId()
    Get repository id
    Returns:
      repository id

  - ### setId

    public void setId(int id)
    Set repository id
    Parameters:
      `id` - reposiotry id

  - ### getName

    public String getName()
    Get repository name
    Returns:
      repository name

  - ### setName

    public void setName(String name)
    Set repository name
    Parameters:
      `name` - repository name

  - ### getDescription

    public String getDescription()
    Get repository description
    Returns:
      repository description

  - ### setDescription

    public void setDescription(String description)
    Set repository description
    Parameters:
      `description` - repository description

  - ### getAuthProtocol

    public String getAuthProtocol()
    Get repository authentication protocol
    Returns:
      authentication protocol

  - ### setAuthProtocol

    public void setAuthProtocol(String authProtocol)
    Set repository authentication protocol
    Parameters:
      `authProtocol` - authentication protocol

  - ### getDomains

    public List<String> getDomains()
    Get repository domains
    Returns:
      domains

  - ### setDomains

    public void setDomains(List<String> domains)
    Set repository domains
    Parameters:
      `domains` - LDAP domains

  - ### getSessionLimitEnabled

    public Boolean getSessionLimitEnabled()

  - ### setSessionLimitEnabled

    public void setSessionLimitEnabled(Boolean sessionLimitEnabled)